Package com.dropbox.core.v2.paper
Class DocsDownloadBuilder
java.lang.Object
com.dropbox.core.v2.DbxDownloadStyleBuilder<PaperDocExportResult>
com.dropbox.core.v2.paper.DocsDownloadBuilder
The request builder returned by
DbxUserPaperRequests.docsDownloadBuilder(java.lang.String, com.dropbox.core.v2.paper.ExportFormat).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body.withIncludeComments(Boolean includeComments) Set value for optional field.Methods inherited from class com.dropbox.core.v2.DbxDownloadStyleBuilder
download, getHeaders, range, range
-
Method Details
-
withIncludeComments
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
includeComments- When true, export includes comment threads (e.g. markdown footnotes). When false or omitted, body only. Other formats may adopt this later; currently only markdown uses it. Plain bool (not optional): protoc-gen-godbx does not support proto3 optional yet. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
start
Description copied from class:DbxDownloadStyleBuilderIssues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body. Callers should fully read the response body usingDbxDownloader.getInputStream()and close the downloader afterwards (seeDbxDownloader.close()). This will allow for proper resource deallocation and connection re-use.. SeeDbxDownloadStyleBuilder.download(java.io.OutputStream)convenience method for a simpler way to complete the request.- Specified by:
startin classDbxDownloadStyleBuilder<PaperDocExportResult>- Returns:
DbxDownloaderused to download data and read the response.- Throws:
DbxException- if an error occursing issuing the requestDocLookupErrorException
-